Solaris. Внимание к патчам при Live Upgrade


Решил сделать LU по быстрому, надеялся, что “проскочит”. Проскочило – но не совсем. Перезагрузился в новую среду, все О.К., попробовал, наступил на грабли – решил вернуться обратно. А тут облом подкрался незаметно 😉

 

[ root@host / ]# luactivate s10s-u9wos-14a-CPU-2011-07
 ERROR: The Live Upgrade Patch revision is lower than required in boot environment .
 Apply Patch 121430-58 or later to boot environment in order to activate it.

Решение – установка рекомендованного патча.

[ root@host /tmp ]# luupgrade -t -n s10s-u9wos-14a-CPU-2011-07 -s /tmp 121430-73

Будьте внимательны: перед установкой с помощью LU всегда выполняем обновление пакетов SUNWlucfg, SUNWlur и SUNWluu (пакеты надо брать с дистрибутива, на который обновляемся), всегда ставим последние патчи на LU, и только потом – используем LU.

Leave a Reply